<html>
    <head>
        <title>My HTML file</title>
        
        <style>
            svg {
                color: grey;
                border: 1px;
                border-style: solid;
            }
            circle {
                fill: steelblue;
                opacity: 0.5;
            }
            circle:hover {
                fill: red;
            }
        </style>
    </head>
    <body>
        <h1>Changing SVG using javascript</h1>
        We can programmatically create plots as well. Check the <kbd>scatterplot.js</kbd> file.
        In that file, we:
        <ol>
            <li>Extract the element with id <kbd>my_plot</kbd> from the HTML file. <em>Note that we 
                need to put the reference to the external script at the <b>bottom</b> of the html code
                below, because the element with that ID needs to exist before you try to access it</em>.
            </li>
            <li>Loop 10 times, and in each loop we:
                <ol>
                    <li>Create a new <kbd>circle</kbd> element.</li>
                    <li>Give it a random <kbd>x</kbd> and <kbd>y</kbd> position.</li>
                    <li>Give it a radius <kbd>r</kbd>.</li>
                    <li>Append that new element to <kbd>my_plot</kbd>.
                </ol>
            </li>
        </ol>

        <div>
        <svg id="my_plot" width="300px" height="300px">
            <!-- This is empty! -->
        </svg>

        <p>
        This is the code in <kbd>scatterplot.js</kbd>:
        <pre>
            var my_plot = document.getElementById('my_plot')
            for ( var i = 0; i < 10; i++ ) {
                let newElement = document.createElementNS('http://www.w3.org/2000/svg','circle')
                newElement.setAttribute('cx', Math.floor(Math.random()*300));
                newElement.setAttribute('cy', Math.floor(Math.random()*300));
                newElement.setAttribute('r','20');
                my_plot.appendChild(newElement);
            }
</pre>
        <script src="scatterplot.js"></script>
    </body>
</html>